Page MenuHomePhabricator

removing a user from projectadmin on wikitech produces a blank page
Closed, ResolvedPublic

Description

as per yuvi's comment on IRC:

"andrewbogott: bd808 quick bug report (feel free to ignore) - removing someone from admin in a project makes wikitech 5xx with a blank page"

Details

Related Gerrit Patches:
mediawiki/extensions/OpenStackManager : wmf/1.30.0-wmf.11Do not clobber $out in local scope
mediawiki/extensions/OpenStackManager : masterDo not clobber $out in local scope

Event Timeline

Andrew created this task.Jul 30 2017, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2017, 8:20 PM

A few errors in logstash that could be related:

The fatal error looks like it was:

PHP Fatal Error: Call to a member function addHTML() on a non-object
OpenStackManager/special/SpecialNovaRole.php:278

And sure enough, $out gets clobbered in the local scope.

Change 368595 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/extensions/OpenStackManager@master] Do not clobber $out in local scope

https://gerrit.wikimedia.org/r/368595

Change 368595 merged by Andrew Bogott:
[mediawiki/extensions/OpenStackManager@master] Do not clobber $out in local scope

https://gerrit.wikimedia.org/r/368595

Change 368596 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/extensions/OpenStackManager@wmf/1.30.0-wmf.11] Do not clobber $out in local scope

https://gerrit.wikimedia.org/r/368596

bd808 triaged this task as High priority.
bd808 moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Restricted Application added a project: User-bd808. · View Herald TranscriptJul 30 2017, 10:38 PM

Change 368596 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@wmf/1.30.0-wmf.11] Do not clobber $out in local scope

https://gerrit.wikimedia.org/r/368596

Mentioned in SAL (#wikimedia-operations) [2017-07-31T18:19:38Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.11/extensions/OpenStackManager/special/SpecialNovaRole.php: SWAT: [[gerrit:368596|Do not clobber $out in local scope]] T172077 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-cloud) [2017-07-31T18:22:05Z] <bd808> Testing T172077 fix by removing Yuvi from project

bd808 closed this task as Resolved.Jul 31 2017, 6:24 PM

Seems to be fixed